import * as beet from '@metaplex-foundation/beet';
import { AuthorizationData } from './AuthorizationData';
export type DelegateArgsRecord = {
    CollectionV1: {
        authorizationData: beet.COption<AuthorizationData>;
    };
    SaleV1: {
        amount: beet.bignum;
        authorizationData: beet.COption<AuthorizationData>;
    };
    TransferV1: {
        amount: beet.bignum;
        authorizationData: beet.COption<AuthorizationData>;
    };
    UpdateV1: {
        authorizationData: beet.COption<AuthorizationData>;
    };
    UtilityV1: {
        amount: beet.bignum;
        authorizationData: beet.COption<AuthorizationData>;
    };
};
export type DelegateArgs = beet.DataEnumKeyAsKind<DelegateArgsRecord>;
export declare const isDelegateArgsCollectionV1: (x: DelegateArgs) => x is {
    __kind: "CollectionV1";
} & Omit<{
    authorizationData: beet.COption<AuthorizationData>;
}, "void"> & {
    __kind: 'CollectionV1';
};
export declare const isDelegateArgsSaleV1: (x: DelegateArgs) => x is {
    __kind: "SaleV1";
} & Omit<{
    amount: beet.bignum;
    authorizationData: beet.COption<AuthorizationData>;
}, "void"> & {
    __kind: 'SaleV1';
};
export declare const isDelegateArgsTransferV1: (x: DelegateArgs) => x is {
    __kind: "TransferV1";
} & Omit<{
    amount: beet.bignum;
    authorizationData: beet.COption<AuthorizationData>;
}, "void"> & {
    __kind: 'TransferV1';
};
export declare const isDelegateArgsUpdateV1: (x: DelegateArgs) => x is {
    __kind: "UpdateV1";
} & Omit<{
    authorizationData: beet.COption<AuthorizationData>;
}, "void"> & {
    __kind: 'UpdateV1';
};
export declare const isDelegateArgsUtilityV1: (x: DelegateArgs) => x is {
    __kind: "UtilityV1";
} & Omit<{
    amount: beet.bignum;
    authorizationData: beet.COption<AuthorizationData>;
}, "void"> & {
    __kind: 'UtilityV1';
};
export declare const delegateArgsBeet: beet.FixableBeet<DelegateArgs, DelegateArgs>;
